Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns full details for a single TV show including watched episodes.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/watching/shows/{id} \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/watching/shows/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/watching/shows/{id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "id": 1, "title": "Band of Brothers", "year": 2001, "tmdb_id": 4613, "tmdb_rating": 8.5, "content_rating": "TV-MA", "summary": "The story of Easy Company during WWII.", "image": { "url": "https://cdn.rewind.rest/cdn-cgi/image/width=300,height=300,fit=cover,format=auto,quality=85/watching/shows/1/original.jpg?v=1", "thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3", "dominant_color": "#2a2a2a", "accent_color": "#c8a882" }, "total_seasons": 1, "total_episodes": 10, "episodes_watched": 10, "seasons": [ { "season_number": 1, "episodes_watched": 10, "episodes": [ { "season": 1, "episode": 1, "title": "Currahee", "watched_at": "2024-01-15T20:00:00Z" }, { "season": 1, "episode": 2, "title": "Day of Days", "watched_at": "2024-01-16T20:00:00Z" } ] } ] }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Show detail
Show child attributes